﻿namespace Project.BaseFramework.ORM
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Data;
    using System.Data.Common;

    [Serializable]
    public abstract class Model 
    {
        public bool IsModelInList = false;//indicate the call function is GetModel or Get List.

        protected Dictionary<string, object> columnValues = new Dictionary<string, object>();

        public Dictionary<string, object> ColumnValues 
        {
            get { return this.columnValues; }
        }

        public void AddColumnValue(string columnName, object value)
        {
            if (IsModelInList) return;
            if (this.columnValues.ContainsKey(columnName))
            {
                this.columnValues[columnName] = value;
            }
            else 
            {
                this.columnValues.Add(columnName, value);
            }
        }

        public abstract void SetDrToModel(DbDataReader dr);
    }
}
