﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

using Project.BaseFramework.Utility;
namespace Project.BaseFramework.ORM
{
    public class ModelMappingReflector
    {
        public  Dictionary<string, ModelMapping> GetModelMapDict() 
        {
            Dictionary<string, ModelMapping> dict = new Dictionary<string, ModelMapping>();

            string assemblyPath = AppConfig.GetAppConfig("ModelMappingAssembly");
            Assembly assembly = Assembly.Load(assemblyPath);
            Type[] types = assembly.GetTypes();

            string endWith="ModelMapping";
            foreach (Type type in types) 
            {
                if (type.Name.EndsWith(endWith)) 
                {
                    dict.Add(type.Name.Replace(endWith,""), (ModelMapping)Activator.CreateInstance(type));
                }
            }

            return dict;
        } 
    }
}
