using System;
using System.Collections.Generic;
using System.Text;

namespace Project.Model
{
	[Serializable]
	public class tuser
	{
		#region Constructor
		public tuser() { }

		public tuser(String iD,String userName,String userPwd,String email,Int32 loginTimes,Decimal balance,String createBy,DateTime createDate)
		{
			this.iD = iD;
			this.userName = userName;
			this.userPwd = userPwd;
			this.email = email;
			this.loginTimes = loginTimes;
			this.balance = balance;
			this.createBy = createBy;
			this.createDate = createDate;
		}
		#endregion

		#region Attributes
		private String iD;

		public String ID
		{
			get { return iD; }
			set { iD = value; }
		}
		private String userName;

		public String UserName
		{
			get { return userName; }
			set { userName = value; }
		}
		private String userPwd;

		public String UserPwd
		{
			get { return userPwd; }
			set { userPwd = value; }
		}
		private String email;

		public String Email
		{
			get { return email; }
			set { email = value; }
		}
		private Int32 loginTimes;

		public Int32 LoginTimes
		{
			get { return loginTimes; }
			set { loginTimes = value; }
		}
		private Decimal balance;

		public Decimal Balance
		{
			get { return balance; }
			set { balance = value; }
		}
		private String createBy;

		public String CreateBy
		{
			get { return createBy; }
			set { createBy = value; }
		}
		private DateTime? createDate;

		public DateTime? CreateDate
		{
			get { return createDate; }
			set { createDate = value; }
		}
		#endregion

		#region Validator
		public List<string> ErrorList = new List<string>();
		private bool Validator()
		{	
			bool validatorResult = true;
			if (string.IsNullOrEmpty(this.ID))
			{
				validatorResult = false;
				this.ErrorList.Add("The ID should not be empty!");
			}
			if (this.ID != null && -1 < this.ID.Length)
			{
				validatorResult = false;
				this.ErrorList.Add("The length of ID should not be greater then -1!");
			}
			if (this.UserName != null && 20 < this.UserName.Length)
			{
				validatorResult = false;
				this.ErrorList.Add("The length of UserName should not be greater then 20!");
			}
			if (this.UserPwd != null && 100 < this.UserPwd.Length)
			{
				validatorResult = false;
				this.ErrorList.Add("The length of UserPwd should not be greater then 100!");
			}
			if (this.Email != null && 50 < this.Email.Length)
			{
				validatorResult = false;
				this.ErrorList.Add("The length of Email should not be greater then 50!");
			}
			if (this.CreateBy != null && -1 < this.CreateBy.Length)
			{
				validatorResult = false;
				this.ErrorList.Add("The length of CreateBy should not be greater then -1!");
			}
			return validatorResult;
		}	
		#endregion
	}
}
