using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Data.Common;

using Project.BaseFramework.DataProvider;
using Project.BaseFramework.ORM;
namespace Project.Model
{
	[Serializable]
	public partial class User:Project.BaseFramework.ORM.Model
	{
		#region Constructor
		public User() {}
		#endregion

		#region Attributes
		private String iD;

		public String ID
		{
			get { return iD; }
			set 
			{
				this.AddColumnValue("ID",value);
				iD = value; 
			}
		}
		private String userName;

		public String UserName
		{
			get { return userName; }
			set 
			{
				this.AddColumnValue("UserName",value);
				userName = value; 
			}
		}
		private String userPwd;

		public String UserPwd
		{
			get { return userPwd; }
			set 
			{
				this.AddColumnValue("UserPwd",value);
				userPwd = value; 
			}
		}
		private String email;

		public String Email
		{
			get { return email; }
			set 
			{
				this.AddColumnValue("Email",value);
				email = value; 
			}
		}
		private Int32 loginTimes;

		public Int32 LoginTimes
		{
			get { return loginTimes; }
			set 
			{
				this.AddColumnValue("LoginTimes",value);
				loginTimes = value; 
			}
		}
		private Decimal balance;

		public Decimal Balance
		{
			get { return balance; }
			set 
			{
				this.AddColumnValue("Balance",value);
				balance = value; 
			}
		}
		private String createBy;

		public String CreateBy
		{
			get { return createBy; }
			set 
			{
				this.AddColumnValue("CreateBy",value);
				createBy = value; 
			}
		}
		private DateTime? createDate;

		public DateTime? CreateDate
		{
			get { return createDate; }
			set 
			{
				this.AddColumnValue("CreateDate",value);
				createDate = value; 
			}
		}
		#endregion

		public override void SetDrToModel(DbDataReader dr)
		{
			if(dr["ID"] != DBNull.Value)this.ID = (String)(dr["ID"]);
			if(dr["UserName"] != DBNull.Value)this.UserName = (String)(dr["UserName"]);
			if(dr["UserPwd"] != DBNull.Value)this.UserPwd = (String)(dr["UserPwd"]);
			if(dr["Email"] != DBNull.Value)this.Email = (String)(dr["Email"]);
			if(dr["LoginTimes"] != DBNull.Value)this.LoginTimes = (Int32)(dr["LoginTimes"]);
			if(dr["Balance"] != DBNull.Value)this.Balance = (Decimal)(dr["Balance"]);
			if(dr["CreateBy"] != DBNull.Value)this.CreateBy = (String)(dr["CreateBy"]);
			if(dr["CreateDate"] != DBNull.Value)this.CreateDate = (DateTime?)(dr["CreateDate"]);
		}
	}

	public class UserModelMapping: ModelMapping
	{
		public UserModelMapping()
		{
			TableName="TUser";
			PKColumns.Add("ID");
			ColumnDict.Add("ID", new Column("ID",DbType.String));
			ColumnDict.Add("UserName", new Column("UserName",DbType.String));
			ColumnDict.Add("UserPwd", new Column("UserPwd",DbType.String));
			ColumnDict.Add("Email", new Column("Email",DbType.String));
			ColumnDict.Add("LoginTimes", new Column("LoginTimes",DbType.Int32));
			ColumnDict.Add("Balance", new Column("Balance",DbType.Decimal));
			ColumnDict.Add("CreateBy", new Column("CreateBy",DbType.String));
			ColumnDict.Add("CreateDate", new Column("CreateDate",DbType.DateTime));
		
		}

		public override Project.BaseFramework.ORM.Model CreateNewModel()
		{
			return new User();
		}
	}
}
